<html>
	<head></head>
	<body onload="loadData();">
        <div>
            <h1>Rest service "/"</h1>
            <h2>Message: </h1>
            <p id="data"></p>
            <h2>From id: </h1>
            <p id="pid"></p>
        </div>
        <div>
            <h1>Rest service "/integration"</h1>
            <h2>Message: </h1>
            <p id="dataInt"></p>
            <h2>From id: </h1>
            <p id="pidInt"></p>
        </div>
	</body>
    <script>
        function loadData() {
            loadRootRest();
            loadIntegrationRest();
        }

        function loadRootRest() {
            const url = 'http://localhost:3000';
            const pData = document.getElementById('data');
            const pid = document.getElementById('pid');
            fetch(url)
            .then((resp) => resp.json())
            .then(function(data) {
                console.log(data);
                pData.innerHTML = data.data;
                pid.innerHTML = data.id;
            }).catch(function(error) {
                pData.innerHTML = error;
            });
        }

        function loadIntegrationRest() {
            const url = 'http://localhost:3000/integration';
            const pData = document.getElementById('dataInt');
            const pid = document.getElementById('pidInt');
            fetch(url)
            .then((resp) => resp.json())
            .then(function(data) {
                console.log(data);
                pData.innerHTML = data.data;
                pid.innerHTML = data.id;
            }).catch(function(error) {
                pData.innerHTML = error;
            });
        }
    </script>
</html>
